Name:       english-typing-booster
Version:    0.0.1
Release:    1%{?dist}
Summary:    English typing booster engine for IBus European tables
License:    GPLv3
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/english-typing-booster/
Source0:    https://fedorahosted.org/releases/e/n/english-typing-booster/%{version}/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         ibus >= 1.2, ibus-european-table >= 1.1.1
Requires(post):   ibus >= 1.2, ibus-european-table >= 1.1.1
BuildRequires:    ibus >= 1.2, ibus-european-table >= 1.1.1

%description
English typing booster engine for IBus European tables

%prep
%setup -q

%build
./configure --prefix=%{_prefix} 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install

# %find_lang %{name}

%post
ibus-european-table-createdb -i -n %{_datadir}/ibus-european-table/european-tables/english-dict.db

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-european-table/icons/english.png
%{_datadir}/ibus-european-table/european-tables/english-dict.db

%changelog
* Tue Dec 20 2011 Anish Patil <anish.developer@gmail.com> - 0.0.1-1
- Initial Release
